Create Funding Transaction
curl --request POST \
--url https://api.lendflow.com/api/offers/{offer_id}/funding_transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_amount": 4326.41688,
"transaction_date": "2026-10-08T15:44:34",
"payment_terms": null,
"invoice_due_date": "2026-10-08T15:44:34",
"draw_commission": "m",
"netsuite_code": "i"
}
'import requests
url = "https://api.lendflow.com/api/offers/{offer_id}/funding_transactions"
payload = {
"transaction_amount": 4326.41688,
"transaction_date": "2026-10-08T15:44:34",
"payment_terms": None,
"invoice_due_date": "2026-10-08T15:44:34",
"draw_commission": "m",
"netsuite_code": "i"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction_amount: 4326.41688,
transaction_date: '2026-10-08T15:44:34',
payment_terms: null,
invoice_due_date: '2026-10-08T15:44:34',
draw_commission: 'm',
netsuite_code: 'i'
})
};
fetch('https://api.lendflow.com/api/offers/{offer_id}/funding_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"tracking": "",
"transaction_amount": 318901.28,
"transaction_date": "1980-02-29",
"transaction_type": "draw",
"draw_commission": null,
"chrono_index": null,
"netsuite_code": null
}
}Offers
Create Funding Transaction
Records a new funding transaction against an offer. The transaction type is derived from the offer’s product.
POST
/
api
/
offers
/
{offer_id}
/
funding_transactions
Create Funding Transaction
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the offer.
Body
application/json
Example:
4326.41688
Must be a valid date.
Example:
"2026-10-08T15:44:34"
Example:
null
Must be a valid date.
Example:
"2026-10-08T15:44:34"
Must be at least 0 characters. Must not be greater than 999999.99 characters.
Example:
"m"
Must not be greater than 255 characters.
Example:
"i"
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?